# SourcePath: tar/20041130dev
Summary		: GNU tar
Name		: sony-target-dev-tar
%define pkgname %{sony_target_config}-dev-tar
Version		: 1.13.25
Release: 10
License		: GPL
Distribution: %{sony_distribution}
Vendor		: %{sony_vendor}
Packager	: %{sony_packager}
Group		: %{sony_group}
Source		: tar_%{version}.orig.tar.gz
Patch0		: tar_%{version}-2.diff.gz
Patch1		: tar-1.13.19-gcc3.patch
Patch2		: tar-1.13.25-xtensa.patch
Patch100	: tar-1.13.25-syntax-error.patch
BuildRoot	: %{_tmppath}/%{name}-root
Prefix		: %{sony_cross_target_dir}

%define _bindir		%{sony_cross_target_dir}%{sony_target_dev_bin_dir}
%define _datadir	%{sony_cross_target_dir}%{sony_target_dev_sharedstate_dir}
%define _infodir	%{sony_cross_target_dir}%{sony_target_dev_info_dir}
%define _mandir		%{sony_cross_target_dir}%{sony_target_dev_man_dir}
%define _docdir		%{sony_cross_target_dir}%{sony_target_dev_doc_dir}
%define _rbindir	%{sony_cross_target_dir}%{sony_target_dev_dir}/bin

%description
Tar is a program for packaging a set of files as a single archive in tar
format.  The function it performs is conceptually similar to cpio, and to
things like pkzip in the DOS world.

%package -n %{pkgname}
Summary	: GNU tar
Group	: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Tar is a program for packaging a set of files as a single archive in tar
format.  The function it performs is conceptually similar to cpio, and to
things like pkzip in the DOS world.

# tar

%prep
%setup -q -n tar-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch100 -p1


%build
%sony_target_dev_setup
%sony_target_dev_configure

make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall | tee -a ../build.log
install -d %{buildroot}%{_mandir}/man1
install -m 644 ../debian/tar.1 %{buildroot}%{_mandir}/man1/tar.1
#gzip -9f %{buildroot}%{_mandir}/man*/*
#gzip -9f %{buildroot}%{_infodir}/*.info*
# busybox tar conflict
# mkdir -p %{buildroot}%{_rbindir}
# mv %{buildroot}%{_bindir}/tar %{buildroot}%{_rbindir}/
cd ..
cp COPYING LICENSE

rm -rf %{buildroot}%{_mandir}
rm -rf %{buildroot}%{_infodir}
rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_libexec_dir}/rmt

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_cross_target_dir}%{sony_target_dev_bin_dir}/tar
### %{sony_cross_target_dir}%{sony_target_dev_libexec_dir}/rmt

%changelog
* Mon Nov 15 2004 Sony Corporation
- change SourcePath: tar/2004xxxxdev -> tar/20040827dev

* Tue Nov 2 2004 Sony Corporation
- MVL31=>sony version

* Fri Aug 20 2004 Sony Corporation - dev-tar
- Initial build.  Conformed to 20040825-rule

* Mon Oct 20 2003 Michael Eager <eager@mvista.com>
- Add configuration for Xtensa.
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Feb 13 2001 Matthew McLean <source@mvista.com>
- First cut


